<?php
/**
 * [Config]list：一覧系表示設定
 * @link http://komaphp.k-akimoto-matsu.net/Reference#subtitle3 リファレンス@ListConfig
 */
return [
	"MemberList"=>[
		"login_id"=>[
			"label"=>"ログインID",
			"type"=>"label",
		],
		"name"=>[
			"label"=>"メンバー名",
			"type"=>"label",
		],
		"auth_cd"=>[
			"label"=>"権限",
			"type"=>"db",
			"select"=>"Auth-auth_name",
		],
		"Update"=>[
			"label"=>"&nbsp;",
			"type"=>"button",
			"name"=>"編集",
			"action"=>"link",
			"link"=>"MemberInput/Edit/#member_id#",
		],
		"image"=>[
			"label"=>"ユーザ画像",
			"type"=>"img",
			"upname"=>"member_id",
			"updir"=>"member",
			"upvalue"=>1,
		],
		"Delete"=>[
			"label"=>"&nbsp;",
			"type"=>"button",
			"name"=>"削除",
			"action"=>"ajax",
			"link"=>"#member_id#",
			"url"=>"Ajax/UserDelete",
			"js"=>"memberDelete('".Config::get("app","httproot")."','#member_id#');return false;",
		],
	],
	"ItemList"=>[
		"item_id"=>[
			"label"=>"商品コード",
			"type"=>"label",
		],
		"category"=>[
			"label"=>"商品カテゴリー",
			"type"=>"select",
			"sort"=>true,
			"select"=>"category"
		],
		"name"=>[
			"label"=>"商品名",
			"type"=>"label",
		],
		"price"=>[
			"label"=>"値段",
			"type"=>"label",
			"sort"=>true,
		],
		"update_user"=>[
			"label"=>"最終更新者",
			"type"=>"db",
			"select"=>"User-name",
		],
		"update_date"=>[
			"label"=>"最終更新日時",
			"type"=>"label",
			"format"=>"Y/m/d H:i:s",
			"sort"=>true,
		],
		"Update"=>[
			"label"=>"&nbsp;",
			"type"=>"button",
			"name"=>"編集",
			"action"=>"link",
			"link"=>"ItemInput/Edit/#item_id#",
		],
	],

];