<?php
/**
 * [Core]Input：入力フォーム送信情報取得クラス
 * POST/FILESのエイリアスクラス
 *
 * @link http://komaphp.k-akimoto-matsu.net/Reference#subtitle0 リファレンス@Core.Input
 * @author TakanoriMatsushige < http://k-akimoto-matsu.net/Inquiry >
 * @copyright k_akimoto_matsu. All Rights Reserved
 */
class Input{
	/**
	 * $_POST[name]または$_FILES[name]を取得する（POST優先）
	 * @param unknown $name
	 * @return unknown|NULL
	 */
	public static function get($name){
		if(isset($_POST[$name])){
			return $_POST[$name];
		}elseif(isset($_FILES[$name])){
			return $_FILES[$name];
		}else{
			return null;
		}
	}
	/**
	 * $_POSTのエイリアス
	 * @return unknown
	 */
	public static function all(){
		return $_POST;
	}
}