<?php
/**
 * [Core]Url：URL解析クラス
 * QueryString部分は無視しつつURLの解析を行う
 *
 * @link http://komaphp.k-akimoto-matsu.net/Reference#subtitle0 リファレンス@Core.Url
 * @author TakanoriMatsushige < http://k-akimoto-matsu.net/Inquiry >
 * @copyright k_akimoto_matsu. All Rights Reserved
 */
class Url{
	/**
	 * URL解析を行い、結果を返却する
	 * 「/」区切りを1つの枠とする
	 * @return string[]
	 */
	public static function analysis(){

		$url = $_SERVER['REQUEST_URI'];
		$urlAr = explode("/",$url);
		$urls = [];
		foreach($urlAr as $d){
			if($d != str_replace("/","",Config::get("app","httproot")) and $d != '' and $d != null){
				$urls[] = strtok($d, '?'); //QueryStringは抜く
			}
		}
		return $urls;
	}

}