<?php
/**
 * [Config]message：表示メッセージ設定
 * @link http://komaphp.k-akimoto-matsu.net/Manual#subtitle11 マニュアル@設定ファイル
 */
return [
	//必須系
	"requierd"=>"必須です",

	//日付時間系
	"date"=>"日付が正しく入力されていません",
	"datetime"=>"日時が正しく入力されていません",
	"hitime"=>"時分が正しく入力されていません",
	"hitimeseconds"=>"時分秒が正しく入力されていません",
	"datetimeseconds"=>"日時（分秒）が正しく入力されていません",
	"datetimecompare"=>"日時の期間指定が逆になっています",
	"datecompare"=>"日付の期間指定が逆になっています",
	"dateout"=>"過去の日付となっています",
	"datein"=>"未来の日付となっています",
	"dateft"=>"日付が正しく入力されていないか、終了日付が入力されている場合、期間が正しく設定されていません",
	"hift"=>"時間が正しく入力されていないか、終了時間が入力されている場合、期間が正しく設定されていません",

	//閾値系
	"max"=>"指定文字数を超えています",
	"min"=>"指定文字数に足りません",
	"nummax"=>"指定数を超えています",
	"nummin"=>"指定数に足りません",
	"sizemax"=>"指定ファイルサイズを超えています",
	"sizemin"=>"指定ファイルサイズに足りません",

	//型系
	"number"=>"数字を入力してください",
	"hankaku"=>"半角英数以外の文字が含まれています",
	"zip"=>"郵便番号の形式が正しくありません（123-4567）",
	"mail"=>"メールアドレスの形式が正しくありません",
	"password"=>"パスワードが正しく設定されていません",
	"type"=>"規定のものではありません",
	"url"=>"URLの形式が正しくありません",
	"file"=>"ファイルが正常にアップロードされていないか、指定のファイル拡張子ではありません",
	"img"=>"ファイルが正常にアップロードされていないか、指定の画像拡張子ではありません",

	//複合系
	"overlap"=>"既に存在しています",
	"match"=>"入力内容が一致しません",
	"token"=>"送信前後で情報が一致しません。多重送信されたか不正アクセスの可能性があります。URLが正しいか確認し、再度アクセスしなおしてください。",

	//エラー
	"updateError"=>"更新失敗",

	//ログイン系
	"login"=>"ログインIDまたはパスワードが間違っています",
	"loginlock"=>"ログインIDまたはパスワードが間違っています。<br />規定回数ログイン失敗したためアカウントがロックされた可能性があります。管理者にお問い合わせください。",
	"auto_logout"=>"一定時間操作がなかったため、サーバーとの接続が切断されました。再度ログインしなおしてください。",

	//データ系
	"nolist"=>"一覧情報が存在しません",
	"noseach"=>"検索条件にあてはまる情報が見つかりません。",
	"notarget"=>"対象のデータが存在しません。一覧よりアクセスしなおしてください。",
];