<?php
/**
 * [Controller]item/ListController：商品一覧画面表示・検索処理コントローラ
 * 商品情報一覧画面の表示および検索処理を行う
 */
class ListController extends BaseController{
	protected $param = [];
	protected $title = '商品一覧';
	protected $order = ["update_date"=>0,"item_id"=>0];

	function get($ret = []){
		$this->param['title'] = $this->title;

		$rq = Request::getall();
		if(count($rq) > 0){
			$this->order = $rq;
		}
		$this->param["list"] = DbModel::read("Item")->getListBySearch($this->order);
		return $this->param;
	}

	function post($ret = []){
		$this->param['title'] = $this->title;
		Session::set("ItemList",Input::all());
		$rq = Request::getall();
		if(count($rq) > 0){
			$this->order = $rq;
		}
		$this->param["list"] = DbModel::read("Item")->getListBySearch($this->order);
		return $this->param;
	}
}