<?php
/**
 * [Start]start：画面表示呼び出し
 * Viewクラスを実行し、表示後のログ出力を行う
 *
 * @author TakanoriMatsushige < http://k-akimoto-matsu.net/Inquiry >
 * @copyright k_akimoto_matsu. All Rights Reserved
 */
$start = microtime(true);

require_once __DIR__.DS.'read.php';
if(class_exists("View")){
	$viewc = new View;
	$viewc->display();
}else{
	echo "something wrong";
}

Session::destroy("DBCon");

//処理秒数
$end = microtime(true);
$me = $_SERVER["REQUEST_METHOD"];
Log::set($me.":".$_SERVER["REQUEST_URI"].":処理時間：".($end-$start));
if($me == "post"){
	$p = Input::all();
	$lor = [];
	foreach($p as $k=>$v){
		if(is_array($v)){
			$lor[] = $k."->".join("|",$v);
		}else{
			$lor[] = $k."->".$v;
		}
	}
	Log::set(join("\n",$lor));
}
exit(0);