<?php
/**
 * [View]template/webtemplate：公開画面用等HTML出力情報整形＆テンプレート呼び出し
 *
 * @param $contents ：メインコンテンツ部分（必須）
 * @param $title ：記事タイトル（任意）
 * @param $pagetitle ：記事サブタイトル（任意）
 * @param その他tplで表示したい内容を${変数名}で（任意）
 * @link http://komaphp.k-akimoto-matsu.net/Manual#subtitle8 マニュアル@ビュー.template/webtemplate
 * @author TakanoriMatsushige < http://k-akimoto-matsu.net/Inquiry >
 * @copyright k_akimoto_matsu. All Rights Reserved
 */
$root = Config::get("app","httproot");

//戻り先
$bk = "";
if(isset($back)){
	$bk = Html::link($back,"&lt;&lt;戻る",["title"=>"戻る"]);
}

//不正アクセス用
if(!isset($param)){
	$param =[];
}


if(!isset($title)){
	$title =null;
}

if(!isset($pagetitle)){
	$pagetitle = $title;
}
$sitename = Config::get("app","sysname");

$keyw = $sitename.",php,framework";

if(isset($keywords)){
	$keyw .= ",".Html::hsp($keywords);
}
$desc = "{$sitename} is a simple and sophisticated PHP framework.";
if(isset($description)){
	$desc .= Html::hsp($description);
}

$y = null;
if(!is_null($y) && $y != date("Y")){
	$y .= "-".date("Y");
}else{
	$y = date("Y");
}

$tplData = file_get_contents(__DIR__.DS."..".DS."..".DS."storage".DS."template".DS."default".DS."web.tpl");

$version = time();
//対象モードのテンプレートを呼び出す
if(!is_null($tplData)){
	$va = str_replace(">",">\n",$tplData);
	preg_match_all("/\[.+?\]/",$tplData,$matches);
	$dispContents = $va;
	//Replace contents
	if($matches[0] > 0){
		foreach($matches[0] as $vv){
			$vk = str_replace(["[","]"],"",$vv);
			//存在しない場合はNULLで埋めておく
			if(!isset(${$vk})){
				${$vk} = null;
			}
			$dispContents = str_replace($vv,${$vk},$dispContents);
		}
	}
	echo $dispContents;
	exit;
}else{
	//存在しないページ
	require_once __DIR__.DS.'..'.DS.'web.'.DS.'nopage.php';
	exit;
}

