<?php
/**
 * [Route]ルーティング
 * URLにより呼び出すコントローラとビューを指定する
 *
 * @link http://komaphp.k-akimoto-matsu.net/Manual#subtitle6 マニュアル@ルーティング
 * @author TakanoriMatsushige < http://k-akimoto-matsu.net/Inquiry >
 * @copyright k_akimoto_matsu. All Rights Reserved
 */
return [
	'index'=>[
		'view'=>'index/top',
		'controller'=>'index/Top',
		'set'=>[
			1=>"logout", //Autoログアウトフラグ
		],
	],
	'Include'=>[
		'view'=>'include',
		'controller'=>'Include',
		'set'=>[
			1=>"func", //機能名
			2=>"target", //引数
		],
	],

	'ItemList'=>[
		'view'=>'item/list',
		'controller'=>'item/List',
		'pager'=>true,
		'set'=>[
			1=>"page",
		],
	],
	'ItemInput'=>[
		'view'=>'item/input',
		'controller'=>'item/Input',
		'set'=>[
			1=>"action",
			2=>"target",
		],
	],

	'Ajax'=>[
		'view'=>'ajaxret',
		'controller'=>'Ajax',
		'set'=>[
			1=>"action", //実行する処理名
		],
	],
];